P_READ_BUF16S(3)

FUNCTION
p_read_buf16s - Read 16 bits of signed data from a buffer.

SYNOPSIS
#include <karma_p.h>

flag p_read_buf16s

(CONST char *buffer, long *data)

DESCRIPTION
Read 16 bits of signed data from a buffer.

buffer
    A pointer to the buffer. This buffer must be at least 2 bytes long

data
    The output data will be written here. This will be in host natural byte order. The data will be converted from network byte order after reading.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/